Выпущен OpenWrt 19.07 с WPA3 Security и более быстрым веб-интерфейсом LuCI


OpenWrt — это популярная операционная система Linux, предназначенная для встраиваемых устройств, обычно маршрутизаторов (но не только), и служит полной заменой встроенного ПО, поставляемого поставщиками, на поддерживаемых устройствах.

Разработчики выпустили OpenWrt 19.07 6 января, чтобы заменить предыдущую версию OpenWrt 18.06. В новой версии внесены различные улучшения, включая поддержку WPA3, рендеринг веб-интерфейса LuCI на стороне клиента для ускорения рендеринга или снижения нагрузки на маршрутизатор, а также представлена ​​поддержка ath79 для маршрутизаторов MIPS с поддержкой дерева устройств.

Хотя безопасность WPA3 WiFi является частью OpenWrt 19.07, по умолчанию она не включена, поскольку необходимые пакеты hostapd-openssl (точка доступа), wpa-supplicant-openssl (только поддержка станции) и wpad-openssl (точка доступа AP +) объемные и не помещаются на устройствах с флэш-памятью 8 МБ или меньше. Другая причина отказа от включения WPA3 заключается в том, что многие существующие клиентские устройства никогда не будут поддерживать WPA3, а некоторые клиентские устройства, поддерживающие WPA2, не будут подключаться к точке доступа, настроенной для смешанного режима WPA2 + WPA3.

Веб-интерфейс LuCI должен отрисовываться быстрее в OpenWrt 19.07 в тех случаях, когда клиент более мощный, чем маршрутизатор (в большинстве случаев), так как клиент будет отрисовывать LuCI с помощью JavaScript, вместо предыдущего способа, где маршрутизатор интерпретировал бы код Lua для отрисовки. Известной проблемой является то, что некоторые приложения LuCI все еще не адаптированы, и если вы страдаете от сбоев, вам следует установить пакет luci-compat .

OpenWrt 19.07 представляет начальную поддержку новой платформы ath79, основанной на дереве устройств популярной платформы ar71xx, используемой в маршрутизаторах MIPS. Обе платформы по-прежнему встроены в последнюю версию OpenWrt, но разработчики рекомендуют переключиться на платформу ath79, поскольку в будущих выпусках OpenWrt поддержка ar71xx будет прекращена. Вы можете следовать руководству по обновлению от ar71xx до ath79, чтобы сделать это.

Другие изменения включают в себя:

  • Обновлен набор инструментов — musl libc 1.1.24, uClibc-ng 1.0.31, glibc 2.27, gcc 7.5.0, binutils 2.31.1
  • Linux 4.14.162 для всех целей с исправлениями разгрузки потока
  • Пользовательское окружение:
    • hostapd 2.9, dnsmasq 2.80, dropbear 2019.78
    • Исправления в работе сети и конфигурации беспроводной сети
    • Исправления в клиенте и сервере DHCPv6
  • Пользовательская система:
    • busybox 1.30.1
    • Поддержка Sysupgrade для проверки возможностей резервного копирования и обновления
    • Содержит urngd, процесс с генератором псевдослучайных чисел, на основе синхронизированного джиттера
    • Исправлены ошибки в диспетчере процессов, системной шине сообщений, встроенном веб-сервере и библиотеке управления конфигурацией.
  • Поддержка платформ и драйверов
    • Прекращена поддержка adm5120, adm8668, ar7, au1000, ixp4xx, mcs814x, omap24xx, ppc40x, ppc44x и xburst
    • Обновления и поддержка новых устройств для всех целей
  • Исправления безопасности для веб-интерфейса LuCI

Следует также отметить, что OpenWrt 19.07 будет последней версией операционной системы, поддерживающей устройства с памятью 32 МБ ОЗУ и 4 МБ, поскольку в настоящее время они предлагают только ограниченную функциональность, и разработчики рекомендуют устройства с объемом хранилища не менее 16 МБ и 64 МБ ОЗУ, предпочтительнее ОЗУ 128 МБ и более.

Ознакомьтесь с детальным журналом изменений для полного списка изменений.

Выражаем свою благодарность источнику из которого взята и переведена статья, сайту cnx-software.com

Оригинал статьи вы можете прочитать здесь.

0 0 vote
Article Rating
Подписаться
Уведомление о
guest

Этот сайт использует Akismet для борьбы со спамом. Узнайте как обрабатываются ваши данные комментариев.

0 Комментарий
Inline Feedbacks
View all comments